%define	name		pptpd-server
%define	realname	pptpd
%define	version		1.1.4
%define	release		0.b4.1mdk

Summary:	PoPToP Linux VPN server 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
Source0:	%{realname}-%{version}-b4.tar.bz2
Source1:	%{realname}-init.bz2
URL:		http://www.poptop.org
Provides:	%{realname}
Requires:	tcp_wrappers
PreReq:		rpm-helper
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PoPToP is the PPTP server solution for Linux (ports exist for Solaris
2.6, OpenBSD and FreeBSD and other). To date no real solution existed
if you wished to include Linux server in PPTP established VPNs. PoPToP
resolves that problem by allowing Linux servers to function seamlessly
in the PPTP VPN environment. This enables administrators to leverage
the considerable benifits of both Microsoft and Linux. The current
release supports Windows 9x/NT/2000 PPTP clients and PPTP Linux
clients. PoPToP is free GNU software.

%prep
%setup -q -n poptop-%{version}
bzcat %{SOURCE1} > %{realname}-init
rm -rf `find -name CVS`

%build
%configure --with-libwrap --with-pppd-ip-alloc
%make  CFLAGS="$RPM_OPT_FLAGS -fno-builtin -DSBINDIR='\"%{_sbindir}\"'" all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -m644 samples/%{realname}.conf -D $RPM_BUILD_ROOT%{_sysconfdir}/%{realname}.conf
install -m755 %{realname}-init -D $RPM_BUILD_ROOT%{_initrddir}/%{realname}

%post
%_post_service	%{realname}

%preun
%_preun_service	%{realname}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Anon-CVS-Root COPYING ChangeLog ChangeLog-0.8
%doc html/* README.slirp TODO samples/ README.inetd README
%{_mandir}/man[58]/pptp*
%config(noreplace) %{_sysconfdir}/%{realname}.conf
%defattr(755,root,root,755)
%config(noreplace) %{_initrddir}/%{realname}
%{_sbindir}/pptp*

%changelog
* Tue Jun 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1.4-0.b4.1mdk
- 1.1.4-b4
- quiet setup
- rm -rf buildroot in correct stage
- cleanups, cosmetics, macroization..
- use %%_post_service and %%_preun_service
- updated url
- bzip2 %%{SOURCE1}
- use %%makeinstall macro
- compile with $RPM_OPT_FLAGS

* Mon Mar 03 2003  Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-0.3mdk
- fix call to right initscript in preun section rather than in post
- add missing clean section

* Wed Nov 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-0.2mdk
- initscript (Todd)
- remove /etc/rc.d/init.d/pptpd.conf

* Thu Feb 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-0.1mdk
- 1.1.2

* Thu Jan 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- updated to 1.0.1

* Thu Sep 14 2000  Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- rebuild

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.17-2mdk
- fix group
- fix files section

* Wed Oct 13 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptation.
